Bug 1121662 - logrotate don't respect "yearly"
Summary: logrotate don't respect "yearly"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 14:08 UTC by Harald Reindl
Modified: 2015-02-18 11:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:11 UTC


Attachments (Terms of Use)

Description Harald Reindl 2014-07-21 14:08:17 UTC
looks like the current version don't respect the "yearly" configuration for /var/log/yum.log on F19 as well as on F20 - that's really bad in case of trying to find possible guilty updates for a problem

[root@localhost:~]$ ls /var/log/yum.log
-rw------- 1 root root 1,4K 2014-07-20 21:43 /var/log/yum.log

[root@localhost:~]$ cat /etc/logrotate.d/yum
/var/log/yum.log {
    missingok
    notifempty
    maxsize 30k
    yearly
    create 0600 root root

[root@localhost:~]$ cat yum.log 
Jul 13 19:30:33 Updated: perl-Date-Manip-6.46-1.fc19.noarch
Jul 13 19:30:33 Updated: perl-Net-DNS-0.78-1.fc19.x86_64
Jul 16 11:04:05 Updated: 1:cups-libs-1.6.4-6.fc19.x86_64
Jul 16 12:37:15 Updated: ffmpeg-latest-2.2.4-5.fc19.20140716.rh.x86_64
Jul 16 20:58:42 Updated: ffmpeg-latest-2.3.0-2.fc19.20140716.rh.x86_64
Jul 17 01:08:50 Erased: perl-Socket6-0.25-1.fc19.x86_64
Jul 17 12:00:22 Updated: open-vm-tools-9.4.6.1770165-6.fc19.20140716.rh.x86_64
Jul 17 12:00:23 Updated: ffmpeg-latest-2.3.0-2.fc19.20140717.rh.x86_64
Jul 18 12:34:52 Updated: phpMyAdmin-4.2.6-2.fc19.20140718.rh.noarch
Jul 18 12:47:43 Updated: httpd-2.4.10-1.fc19.20140718.rh.x86_64
Jul 18 12:47:43 Updated: 1:mod_ssl-2.4.10-1.fc19.20140718.rh.x86_64
Jul 20 19:42:55 Updated: nss-util-3.16.2-1.fc19.x86_64
Jul 20 19:42:55 Updated: nss-softokn-freebl-3.16.2-1.fc19.x86_64
Jul 20 19:42:55 Updated: nss-softokn-3.16.2-1.fc19.x86_64
Jul 20 19:42:55 Updated: nss-3.16.2-1.fc19.x86_64
Jul 20 19:42:55 Updated: nss-sysinit-3.16.2-1.fc19.x86_64
Jul 20 19:42:55 Updated: httpd-2.4.10-5.fc19.20140720.rh.x86_64
Jul 20 19:42:55 Updated: 1:mod_ssl-2.4.10-5.fc19.20140720.rh.x86_64
Jul 20 19:42:55 Updated: nss-tools-3.16.2-1.fc19.x86_64
Jul 20 19:42:56 Updated: ffmpeg-latest-2.3.0-2.fc19.20140720.rh.x86_64
Jul 20 21:43:08 Updated: roundcubemail-1.0.2-2.fc19.20140720.rh.noarch

}

Comment 1 Jan Kaluža 2014-08-21 08:23:09 UTC
Isn't that caused by "maxsize" directive? From "man logrotate":

> maxsize size
>     Log  files  are  rotated  when  they grow bigger than size bytes even
>     before the additionally specified time interval (daily, weekly, monthly, or
>     yearly).  The related size option is similar except that it is mutually
>     exclusive with the time interval options, and it causes log files to be
>     rotated without regard for the last rotation time.  When maxsize is used,
>     both the size and timestamp of a log file are considered.

Comment 2 Harald Reindl 2014-08-21 09:39:34 UTC
Hm - Maybe that bugreport should then be re-assigned to YUM

over that many years "yum.log" was the history from the 
current year which is a great thing in case of look from
where unexpected behavior may come recognized later

[root@rh:~]$ cat /etc/logrotate.d/yum
/var/log/yum.log {
    missingok
    notifempty
    maxsize 30k
    yearly
    create 0600 root root
}

[root@rh:~]$ rpm -q --file /etc/logrotate.d/yum
yum-3.4.3-152.fc20.noarch

Comment 3 Jan Kaluža 2014-08-21 09:42:55 UTC
I'm reassigning the bug to yum. From logrotate's point of view it seems to work as expected.

Comment 4 Valentina Mukhamedzhanova 2014-08-21 10:25:14 UTC
Well, we can remove the maxsize directive completely, since the log will hardly ever get that big.

Comment 5 Fedora End Of Life 2015-01-09 21:27:44 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-18 11:47:11 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.